const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 112)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 120)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 48)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 48))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 72)));
    if *((edi_global_2d_to_2d_local - 108)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 48)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 112)), v5_17);
        *((esi_global_2d_to_2d_local - 120)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    __asm_movsd_2(v5_1c);
    st7_global_2d_to_2d_local = fabs(stack_var__2d_28) # st7;
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v4_90 = edi_global_2d_to_2d_local - 80 # bp+90;
    v4_97 = edi_global_2d_to_2d_local - 88 # bp+97;
    v7_b7 = (st7_global_2d_to_2d_local * *v4_97 - st7_global_2d_to_2d_local * *v4_90) * *((edi_global_2d_to_2d_local - 96));
    v7_df = v7_b7 + st7_global_2d_to_2d_local * *((edi_global_2d_to_2d_local - 104)) - *((edi_global_2d_to_2d_local - 24));
    v7_ec = st7_global_2d_to_2d_local * *v4_90 + st7_global_2d_to_2d_local * *v4_97 - *((edi_global_2d_to_2d_local - 32));
    sqrtl(v7_df * v7_df + v7_ec * v7_ec);
    v0_11d = __asm_wait();
    v1_11e = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v3_120 = v1_11e / 256 & 65 # bp+120;
    storemerge11_in_in = *(((-132 if v3_120 == 0 else -140) + edi_global_2d_to_2d_local));
    esi_global_2d_to_2d_local[128] = storemerge11_in_in;
    if *((edi_global_2d_to_2d_local - 108)) == 0:;
        # 0x143;
        v1_146 = storemerge11_in_in / *((edi_global_2d_to_2d_local - 48));
    else:;
        v1_146 = storemerge11_in_in;
    # 0x146;
    *((esi_global_2d_to_2d_local - 32)) = v1_146;
    return v0_11d & -0x10000 | v1_11e & -0xff01 | 256 * v3_120;


	}